+++
title = "Dharma 0.1.0"
date = 2025-05-05
tags = ["projects", "dharma", "releases", "golang"]
+++

I've created yet another small pet project. **Dharma** is a small CLI utility to check for broken links in web pages. I needed something like this because when I [migrated to Hugo](/blog/2024/08/09/welcome-hugo/) some leftovers where around (images, pages, old post, etc.). I wanted a way to check that easily from the CLI and also to add it as a CI step when a new version of the site is deployed.

This is an example output run over my blog:

```bash
$ dharma --internal-only -d 10  https://fmartingr.com
Scanning website: https://fmartingr.com
Website scan report for: https://fmartingr.com
Scanned at: Mon, 05 May 2025 19:48:41 CEST
Total resources checked: 1691
Success: 1672, Errors: 19
Internal links: 1672 success, 19 errors
External links: 0 success, 0 errors

Errors found:
404  (link) https://fmartingr.com/tags/videogames/splash.jpg [from: https://fmartingr.com/tags/videogames/]
404  (link) https://fmartingr.com/blog/page/5/image.jpg [from: https://fmartingr.com/blog/page/5/]
404  (link) https://fmartingr.com/blog/2016/12/21/new-site/Lektor [from: https://fmartingr.com/blog/2016/12/21/new-site/]
404  (link) https://fmartingr.com/made-with-open-source [from: https://fmartingr.com/blog/2016/12/21/new-site/]
404  (link) https://fmartingr.com/blog/page/6/image.jpg [from: https://fmartingr.com/blog/page/6/]
404  (link) http://fmartingr.com/tags/videogames/splash.jpg [from: http://fmartingr.com/tags/videogames/]
404  (link) https://fmartingr.com/nintendo-switch [from: https://fmartingr.com/blog/2017/01/31/why-i-preordered-the-nintendo-switch/]
404  (link) https://fmartingr.com/blog/page/7/image.jpg [from: https://fmartingr.com/blog/page/7/]
404  (link) https://fmartingr.com/blog/page/7/splash.jpg [from: https://fmartingr.com/blog/page/7/]
404  (link) https://fmartingr.com/blog/page/8/image.jpg [from: https://fmartingr.com/blog/page/8/]
404  (image) https://fmartingr.com/blog/2020/08/02/july/notion-tasks-320.png [from: https://fmartingr.com/blog/2020/08/02/july/]
404  (image) https://fmartingr.com/blog/2020/08/02/july/notion-games-320.png [from: https://fmartingr.com/blog/2020/08/02/july/]
404  (link) https://fmartingr.com/blog/2020/06/02/june/ [from: https://fmartingr.com/blog/2020/08/02/july/]
404  (link) http://fmartingr.com/blog/page/5/image.jpg [from: http://fmartingr.com/blog/page/5/]
404  (link) http://fmartingr.com/blog/2016/12/21/new-site/Lektor [from: http://fmartingr.com/blog/2016/12/21/new-site/]
404  (link) http://fmartingr.com/made-with-open-source [from: http://fmartingr.com/blog/2016/12/21/new-site/]
404  (link) http://fmartingr.com/blog/page/6/image.jpg [from: http://fmartingr.com/blog/page/6/]
404  (link) http://fmartingr.com/blog/page/7/splash.jpg [from: http://fmartingr.com/blog/page/7/]
404  (link) http://fmartingr.com/blog/page/7/image.jpg [from: http://fmartingr.com/blog/page/7/]
```

Dharma 0.1.0 can be found in it's [git repository](https://git.nakama.town/fmartingr/dharma).
